unit About;
{$IFNDEF DEBUG}
{$A+,B-,D-,F-,G+,I-,K+,L-,N+,P+,Q-,R-,S-,T+,V-,W-,X+,Y-}
{$ENDIF}

interface
uses
    WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
    Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    AboutPanel: TPanel;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    NeedLogCB: TCheckBox;
    NeedLogIOCB: TCheckBox;
    OKButton: TBitBtn;
    NeedLogTaskCB: TCheckBox;
    AboutImage: TImage;
    procedure FormActivate(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
    procedure NeedLogCBClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
    AboutBox: TAboutBox;

implementation
{$R *.DFM}

uses
    GlobVar, LCard_AD;

{* ************************************************************************* *}
procedure TAboutBox.FormActivate(Sender: TObject);
begin
    NeedLogCB.Checked:=NeedLog;
    NeedLogIOCB.Checked:=NeedLogIO;
end;

{* ************************************************************************* *}
procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
    NeedLog:=NeedLogCB.Checked;
    NeedLogIO:=NeedLogIOCB.Checked;
end;

{* ************************************************************************* *}
procedure TAboutBox.NeedLogCBClick(Sender: TObject);
begin
    if NeedLogCB.Checked then NeedLogIOCB.Checked:=NeedLogIO else NeedLogIOCB.Checked:=False;
    NeedLogIOCB.Enabled:=NeedLogCB.Checked
end;

end.

