{* ************************************************************************* *}
{   CTL3DV2.DLL                                             }
{* ************************************************************************* *}
unit StartUp;
{$IFNDEF DEBUG}
{$A+,B-,D-,F-,G+,I-,K+,L-,N+,P+,Q-,R-,S-,T+,V-,W-,X+,Y-}
{$ENDIF}

interface

implementation
uses
    LZExpand, WinTypes, WinProcs, SysUtils;

{* ************************************************************************* *}
procedure CheckCTL3DV2_DLL;
var
    CopyBytes    :integer;
    Source       :integer;
    Target       :integer;
    SourceName   :array[0..255] of char;
    TargetName   :array[0..255] of char;
    Buffer       :array[0..1023] of char;
    SourceOpenBuf:TOFStruct;
    TargetOpenBuf:TOFStruct;

Begin
    GetSystemDirectory(TargetName, SizeOf(TargetName));
    StrCat(TargetName, PChar('\CTL3DV2.DLL'));
    StrPCopy(SourceName, ExtractFilePath(ParamStr(0))+'CTL3DV2.DL_');
    if not FileExists(StrPas(TargetName)) then
    Begin
        Source:=LZOpenFile(SourceName, SourceOpenBuf, OF_READ);
        try
            Target:=LZOpenFile(TargetName, TargetOpenBuf, OF_CREATE);
            try
                CopyBytes:=LZCopy(Source, Target);
            finally
                LZClose(Target);
                if CopyBytes<0 then DeleteFile(StrPas(TargetName));
            End;
        finally
            LZClose(Source);
        End;
    End;

    if not FileExists(StrPas(TargetName)) then
    Begin
        StrPCopy(Buffer, 'Error To UnPack ');
        StrCat(Buffer, SourceName);
        StrCat(Buffer, ' To ');
        StrCat(Buffer, TargetName);
        StrCat(Buffer, #13#10'Can''t Run With Out ');
        StrCat(Buffer, TargetName);
        MessageBox(0, Buffer, PChar('LSetup.exe'), MB_ICONSTOP);
        Halt(255);
    End;
End;


{* ************************************************************************* *}
Begin
    CheckCTL3DV2_DLL;
End.

